Luxor PlatformAPI DocumentationMining PoolReporting
Get developer fee
Returns a list of all developer fee associated to a Workspace.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Query Parameters
subaccount_names?|array<>|array<>
site_id?|
start_date*string
Format
dateend_date*string
Format
datepage_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
curl -X GET "https://example.com/v2/pool/dev-fee?start_date=2025-01-01&end_date=2025-01-31"{ "start_date": "2025-01-01", "end_date": "2025-01-31", "devfee_data": [ { "datetime": "2019-08-24T14:15:22Z", "devfee_hashrate": "1035827914295214", "devfee_revenue": 0.00066154, "subaccount": "my_subaccount" } ], "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}